diff --git a/main.asm b/main.asm
index 0d81c646..b3e2074b 100755
--- a/main.asm
+++ b/main.asm
@@ -72247,17 +73172,157 @@ RocketHideout3_h: ; 0x45219 to 0x45225 (12 bytes) (bank=11) (id=201)
 RocketHideout3Script: ; 45225 (11:5225)
 	call EnableAutoTextBoxDrawing
 	ld hl, RocketHideout3TrainerHeaders
-	ld de, RocketHideout3Script_Unknown45238
+	ld de, RocketHideout3ScriptPointers
 	ld a, [W_ROCKETHIDEOUT3CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_ROCKETHIDEOUT3CURSCRIPT], a
 	ret
 
-RocketHideout3Script_Unknown45238: ; 45238 (11:5238)
-INCBIN "baserom.gbc",$45238,$452fa - $45238
+RocketHideout3ScriptPointers: ; 45238 (11:5238)
+	dw RocketHideout3Script0
+	dw Func_324c
+	dw EndTrainerBattle
+	dw RocketHideout3Script3
 
-RocketHideout3Texts: ; 452fa (11:52fa)
-	dw RocketHideout3Text1, RocketHideout3Text2, Predef5CText, Predef5CText
+RocketHideout3Script0: ; 45240 (11:5240)
+	ld a, [W_YCOORD]
+	ld b, a
+	ld a, [W_XCOORD]
+	ld c, a
+	ld hl, RocketHideout3ArrowTilePlayerMovement
+	call Func_3442
+	cp $ff
+	jp z, CheckFightingMapTrainers
+	ld hl, $d736
+	set 7, [hl]
+	call Func_3486
+	ld a, $a7
+	call PlaySound
+	ld a, $ff
+	ld [wJoypadForbiddenButtonsMask], a
+	ld a, $3
+	ld [W_CURMAPSCRIPT], a
+	ret
+
+;format:
+;db y,x
+;dw pointer to movement
+RocketHideout3ArrowTilePlayerMovement: ; 4526b (11:526b)
+	db $d,$a
+	dw RocketHideout3ArrowMovement6
+	db $13,$a
+	dw RocketHideout3ArrowMovement1
+	db $12,$b
+	dw RocketHideout3ArrowMovement2
+	db $b,$c
+	dw RocketHideout3ArrowMovement3
+	db $11,$c
+	dw RocketHideout3ArrowMovement4
+	db $14,$c
+	dw RocketHideout3ArrowMovement5
+	db $10,$d
+	dw RocketHideout3ArrowMovement6
+	db $b,$e
+	dw RocketHideout3ArrowMovement7
+	db $f,$e
+	dw RocketHideout3ArrowMovement6
+	db $11,$e
+	dw RocketHideout3ArrowMovement8
+	db $13,$e
+	dw RocketHideout3ArrowMovement9
+	db $10,$f
+	dw RocketHideout3ArrowMovement7
+	db $12,$f
+	dw RocketHideout3ArrowMovement10
+	db $d,$10
+	dw RocketHideout3ArrowMovement11
+	db $c,$11
+	dw RocketHideout3ArrowMovement10
+	db $10,$12
+	dw RocketHideout3ArrowMovement12
+	db $FF
+
+;format: direction, count
+;right:	$10
+;left:	$20
+;up:	$40
+;down:	$80
+;each list is read starting from the $FF and working backwards
+RocketHideout3ArrowMovement1: ; 452ac (11:52ac)
+	db $10,$04
+	db $40,$04
+	db $10,$04
+	db $FF
+
+RocketHideout3ArrowMovement2: ; 452b3 (11:52b3)
+	db $80,$04
+	db $10,$04
+	db $FF
+
+RocketHideout3ArrowMovement3: ; 452b8 (11:52b8)
+	db $20,$02
+	db $FF
+
+RocketHideout3ArrowMovement4: ; 452bb (11:52bb)
+	db $10,$04
+	db $40,$02
+	db $10,$02
+	db $FF
+
+RocketHideout3ArrowMovement5: ; 452c2 (11:52c2)
+	db $10,$04
+	db $40,$02
+	db $10,$02
+	db $40,$03
+	db $FF
+
+RocketHideout3ArrowMovement6: ; 452cb (11:52cb)
+	db $10,$04
+	db $FF
+
+RocketHideout3ArrowMovement7: ; 452ce (11:52ce)
+	db $10,$02
+	db $FF
+
+RocketHideout3ArrowMovement8: ; 452d1 (11:52d1)
+	db $10,$04
+	db $40,$02
+	db $FF
+
+RocketHideout3ArrowMovement9: ; 452d6 (11:52d6)
+	db $10,$04
+	db $40,$04
+	db $FF
+
+RocketHideout3ArrowMovement10: ; 452db (11:52db)
+	db $80,$04
+	db $FF
+
+RocketHideout3ArrowMovement11: ; 452de (11:52de)
+	db $40,$02
+	db $FF
+
+RocketHideout3ArrowMovement12: ; 452e1 (11:52e1)
+	db $40,$01
+	db $FF
+
+RocketHideout3Script3 ; 452e4 (11:452e4)
+	ld a, [$cd38]
+	and a
+	jp nz, Func_44fd7
+	xor a
+	ld [wJoypadForbiddenButtonsMask], a
+	ld hl, $d736
+	res 7, [hl]
+	ld a, $0
+	ld [W_CURMAPSCRIPT], a
+	ret
+
+RocketHideout3TextPointers: ; 452fa (11:52fa)
+	dw RocketHideout3Text1
+	dw RocketHideout3Text2
+	dw Predef5CText
+	dw Predef5CText
 
 RocketHideout3TrainerHeaders: ; 45302 (11:5302)
 RocketHideout3TrainerHeader0: ; 45302 (11:5302)
@@ -72278,7 +73343,7 @@ RocketHideout3TrainerHeader2: ; 4530e (11:530e)
 	dw RocketHideout3EndBattleText3 ; 0x5343 TextEndBattle
 	dw RocketHideout3EndBattleText3 ; 0x5343 TextEndBattle
 
-db $ff
+	db $ff
 
 RocketHideout3Text1: ; 4531b (11:531b)
 	db $08 ; asm
@@ -72344,29 +73409,103 @@ RocketHideout3Blocks: ; 4537f (11:537f)
 RocketHideout4_h: ; 0x45451 to 0x4545d (12 bytes) (bank=11) (id=202)
 	db $16 ; tileset
 	db ROCKET_HIDEOUT_4_HEIGHT, ROCKET_HIDEOUT_4_WIDTH ; dimensions (y, x)
-	dw RocketHideout4Blocks, RocketHideout4Texts, RocketHideout4Script ; blocks, texts, scripts
+	dw RocketHideout4Blocks, RocketHideout4TextPointers, RocketHideout4Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw RocketHideout4Object ; objects
 
 RocketHideout4Script: ; 4545d (11:545d)
-	call Unnamed_45473
+	call Func_45473
 	call EnableAutoTextBoxDrawing
 	ld hl, RocketHideout4TrainerHeader0
-	ld de, Unknown_454ae ; $54ae
+	ld de, RocketHideout4ScriptPointers
 	ld a, [W_ROCKETHIDEOUT4CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_ROCKETHIDEOUT4CURSCRIPT], a
 	ret
 
-Unnamed_45473: ; 45473 (11:5473)
-INCBIN "baserom.gbc",$45473,$454ae - $45473
+Func_45473: ; 45473 (11:5473)
+	ld hl, $d126
+	bit 5, [hl]
+	res 5, [hl]
+	ret z
+	ld a, [$d81b]
+	bit 5, a
+	jr nz, .asm_45496
+	and $c
+	cp $c
+	jr z, .asm_4548c
+	ld a, $2d
+	jr .asm_45498
+.asm_4548c
+	ld a, $ad
+	call PlaySound
+	ld hl, $d81b
+	set 5, [hl]
+.asm_45496
+	ld a, $e
+.asm_45498
+	ld [$d09f], a
+	ld bc, $050c
+	ld a, $17
+	jp Predef
 
-Unknown_454ae: ; 454ae (11:54ae)
-INCBIN "baserom.gbc",$454ae,$45501 - $454ae
+Func_454a3: ; 454a3 (11:54a3)
+	xor a
+	ld [wJoypadForbiddenButtonsMask], a
+	ld [W_ROCKETHIDEOUT4CURSCRIPT], a
+	ld [W_CURMAPSCRIPT], a
+	ret
 
-RocketHideout4Texts: ; 45501 (11:5501)
-	dw RocketHideout4Text1, RocketHideout4Text2, RocketHideout4Text3, RocketHideout4Text4, Predef5CText, Predef5CText, Predef5CText, Predef5CText, Predef5CText, RocketHideout4Text10
+RocketHideout4ScriptPointers: ; 454ae (11:54ae)c
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw EndTrainerBattle
+	dw RocketHideout4Script3
+
+RocketHideout4Script3: ; 454b6 (11:54b6)
+	ld a, [W_ISINBATTLE]
+	cp $ff
+	jp z, Func_454a3
+	call UpdateSprites
+	ld a, $f0
+	ld [wJoypadForbiddenButtonsMask], a
+	ld hl, $d81b
+	set 7, [hl]
+	ld a, $a
+	ld [H_SPRITEHEIGHT], a
+	call DisplayTextID
+	call GBFadeIn1
+	ld a, $83
+	ld [$cc4d], a
+	ld a, $11
+	call Predef
+	ld a, $87
+	ld [$cc4d], a
+	ld a, $15
+	call Predef
+	call UpdateSprites
+	call GBFadeOut1
+	xor a
+	ld [wJoypadForbiddenButtonsMask], a
+	ld hl, $d126
+	set 5, [hl]
+	ld a, $0
+	ld [W_ROCKETHIDEOUT4CURSCRIPT], a
+	ld [W_CURMAPSCRIPT], a
+	ret
+
+RocketHideout4TextPointers: ; 45501 (11:5501)
+	dw RocketHideout4Text1
+	dw RocketHideout4Text2
+	dw RocketHideout4Text3
+	dw RocketHideout4Text4
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
+	dw RocketHideout4Text10
 
 RocketHideout4TrainerHeaders: ; 45515 (11:5515)
 RocketHideout4TrainerHeader0: ; 45515 (11:5515)
@@ -72396,7 +73535,7 @@ RocketHideout4TrainerHeader3: ; 4552d (11:552d)
 	dw RocketHideout4EndBattleText4 ; 0x55ca TextEndBattle
 	dw RocketHideout4EndBattleText4 ; 0x55ca TextEndBattle
 
-db $ff
+	db $ff
 
 RocketHideout4Text1: ; 4553a (11:553a)
 	db $08 ; asm
@@ -72546,7 +73685,7 @@ RocketHideout4Blocks: ; 45650 (11:5650)
 RocketHideoutElevator_h: ; 0x45704 to 0x45710 (12 bytes) (bank=11) (id=203)
 	db $12 ; tileset
 	db ROCKET_HIDEOUT_ELEVATOR_HEIGHT, ROCKET_HIDEOUT_ELEVATOR_WIDTH ; dimensions (y, x)
-	dw RocketHideoutElevatorBlocks, RocketHideoutElevatorTexts, RocketHideoutElevatorScript ; blocks, texts, scripts
+	dw RocketHideoutElevatorBlocks, RocketHideoutElevatorTextPointers, RocketHideoutElevatorScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw RocketHideoutElevatorObject ; objects
@@ -72592,7 +73731,7 @@ Func_4575f: ; 4575f (11:575f)
 	call Bankswitch
 	ret
 
-RocketHideoutElevatorTexts: ; 4576b (11:576b)
+RocketHideoutElevatorTextPointers: ; 4576b (11:576b)
 	dw RocketHideoutElevatorText1
 
 RocketHideoutElevatorText1: ; 4576d (11:576d)
@@ -72637,7 +73776,7 @@ RocketHideoutElevatorBlocks: ; 457a8 (11:57a8)
 SilphCoElevator_h: ; 0x457b4 to 0x457c0 (12 bytes) (bank=11) (id=236)
 	db $12 ; tileset
 	db SILPH_CO_ELEVATOR_HEIGHT, SILPH_CO_ELEVATOR_WIDTH ; dimensions (y, x)
-	dw SilphCoElevatorBlocks, SilphCoElevatorTexts, SilphCoElevatorScript ; blocks, texts, scripts
+	dw SilphCoElevatorBlocks, SilphCoElevatorTextPointers, SilphCoElevatorScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SilphCoElevatorObject ; objects
@@ -72697,7 +73836,7 @@ Func_45827: ; 45827 (11:5827)
 	call Bankswitch ; indirect jump to Func_7bf15 (7bf15 (1e:7f15))
 	ret
 
-SilphCoElevatorTexts: ; 45833 (11:5833)
+SilphCoElevatorTextPointers: ; 45833 (11:5833)
 	dw SilphCoElevatorText1
 
 SilphCoElevatorText1: ; 45835 (11:5835)
@@ -72730,7 +73869,7 @@ SilphCoElevatorBlocks: ; 4585b (11:585b)
 SafariZoneEast_h: ; 0x4585f to 0x4586b (12 bytes) (bank=11) (id=217)
 	db $03 ; tileset
 	db SAFARI_ZONE_EAST_HEIGHT, SAFARI_ZONE_EAST_WIDTH ; dimensions (y, x)
-	dw SafariZoneEastBlocks, SafariZoneEastTexts, SafariZoneEastScript ; blocks, texts, scripts
+	dw SafariZoneEastBlocks, SafariZoneEastTextPointers, SafariZoneEastScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SafariZoneEastObject ; objects
@@ -72738,8 +73877,14 @@ SafariZoneEast_h: ; 0x4585f to 0x4586b (12 bytes) (bank=11) (id=217)
 SafariZoneEastScript: ; 4586b (11:586b)
 	jp EnableAutoTextBoxDrawing
 
-SafariZoneEastTexts: ; 4586e (11:586e)
-	dw Predef5CText, Predef5CText, Predef5CText, Predef5CText, SafariZoneEastText5, SafariZoneEastText6, SafariZoneEastText7
+SafariZoneEastTextPointers: ; 4586e (11:586e)
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
+	dw SafariZoneEastText5
+	dw SafariZoneEastText6
+	dw SafariZoneEastText7
 
 SafariZoneEastText5: ; 4587c (11:587c)
 	TX_FAR _SafariZoneEastText5
@@ -72787,7 +73932,7 @@ SafariZoneEastBlocks: ; 458dc (11:58dc)
 SafariZoneNorth_h: ; 0x4599f to 0x459ab (12 bytes) (bank=11) (id=218)
 	db $03 ; tileset
 	db SAFARI_ZONE_NORTH_HEIGHT, SAFARI_ZONE_NORTH_WIDTH ; dimensions (y, x)
-	dw SafariZoneNorthBlocks, SafariZoneNorthTexts, SafariZoneNorthScript ; blocks, texts, scripts
+	dw SafariZoneNorthBlocks, SafariZoneNorthTextPointers, SafariZoneNorthScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SafariZoneNorthObject ; objects
@@ -72795,8 +73940,14 @@ SafariZoneNorth_h: ; 0x4599f to 0x459ab (12 bytes) (bank=11) (id=218)
 SafariZoneNorthScript: ; 459ab (11:59ab)
 	jp EnableAutoTextBoxDrawing
 
-SafariZoneNorthTexts: ; 459ae (11:59ae)
-	dw Predef5CText, Predef5CText, SafariZoneNorthText3, SafariZoneNorthText4, SafariZoneNorthText5, SafariZoneNorthText6, SafariZoneNorthText7
+SafariZoneNorthTextPointers: ; 459ae (11:59ae)
+	dw Predef5CText
+	dw Predef5CText
+	dw SafariZoneNorthText3
+	dw SafariZoneNorthText4
+	dw SafariZoneNorthText5
+	dw SafariZoneNorthText6
+	dw SafariZoneNorthText7
 
 SafariZoneNorthText3: ; 459bc (11:59bc)
 	TX_FAR _SafariZoneNorthText3
@@ -72860,7 +74011,7 @@ SafariZoneNorthBlocks: ; 45a3e (11:5a3e)
 SafariZoneCenter_h: ; 0x45ba6 to 0x45bb2 (12 bytes) (bank=11) (id=220)
 	db $03 ; tileset
 	db SAFARI_ZONE_CENTER_HEIGHT, SAFARI_ZONE_CENTER_WIDTH ; dimensions (y, x)
-	dw SafariZoneCenterBlocks, SafariZoneCenterTexts, SafariZoneCenterScript ; blocks, texts, scripts
+	dw SafariZoneCenterBlocks, SafariZoneCenterTextPointers, SafariZoneCenterScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SafariZoneCenterObject ; objects
@@ -72868,8 +74019,10 @@ SafariZoneCenter_h: ; 0x45ba6 to 0x45bb2 (12 bytes) (bank=11) (id=220)
 SafariZoneCenterScript: ; 45bb2 (11:5bb2)
 	jp EnableAutoTextBoxDrawing
 
-SafariZoneCenterTexts: ; 45bb5 (11:5bb5)
-	dw Predef5CText, SafariZoneCenterText2, SafariZoneCenterText3
+SafariZoneCenterTextPointers: ; 45bb5 (11:5bb5)
+	dw Predef5CText
+	dw SafariZoneCenterText2
+	dw SafariZoneCenterText3
 
 SafariZoneCenterText2: ; 45bbb (11:5bbb)
 	TX_FAR _SafariZoneCenterText2
@@ -72917,7 +74070,7 @@ SafariZoneCenterBlocks: ; 45c1e (11:5c1e)
 SafariZoneRestHouse1_h: ; 0x45ce1 to 0x45ced (12 bytes) (bank=11) (id=221)
 	db $0c ; tileset
 	db SAFARI_ZONE_REST_HOUSE_1_HEIGHT, SAFARI_ZONE_REST_HOUSE_1_WIDTH ; dimensions (y, x)
-	dw SafariZoneRestHouse1Blocks, SafariZoneRestHouse1Texts, SafariZoneRestHouse1Script ; blocks, texts, scripts
+	dw SafariZoneRestHouse1Blocks, SafariZoneRestHouse1TextPointers, SafariZoneRestHouse1Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SafariZoneRestHouse1Object ; objects
@@ -72925,8 +74078,9 @@ SafariZoneRestHouse1_h: ; 0x45ce1 to 0x45ced (12 bytes) (bank=11) (id=221)
 SafariZoneRestHouse1Script: ; 45ced (11:5ced)
 	jp EnableAutoTextBoxDrawing
 
-SafariZoneRestHouse1Texts: ; 45cf0 (11:5cf0)
-	dw SafariZoneRestHouse1Text1, SafariZoneRestHouse1Text2
+SafariZoneRestHouse1TextPointers: ; 45cf0 (11:5cf0)
+	dw SafariZoneRestHouse1Text1
+	dw SafariZoneRestHouse1Text2
 
 SafariZoneRestHouse1Text1: ; 45cf4 (11:5cf4)
 	TX_FAR _SafariZoneRestHouse1Text1
@@ -72956,7 +74110,7 @@ SafariZoneRestHouse1Object: ; 0x45cfe (size=32)
 SafariZoneRestHouse2_h: ; 0x45d1e to 0x45d2a (12 bytes) (bank=11) (id=223)
 	db $0c ; tileset
 	db SAFARI_ZONE_REST_HOUSE_2_HEIGHT, SAFARI_ZONE_REST_HOUSE_2_WIDTH ; dimensions (y, x)
-	dw $40fb, SafariZoneRestHouse2Texts, SafariZoneRestHouse2Script ; blocks, texts, scripts
+	dw $40fb, SafariZoneRestHouse2TextPointers, SafariZoneRestHouse2Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SafariZoneRestHouse2Object ; objects
@@ -72965,8 +74119,10 @@ SafariZoneRestHouse2Script: ; 45d2a (11:5d2a)
 	call EnableAutoTextBoxDrawing
 	ret
 
-SafariZoneRestHouse2Texts: ; 45d2e (11:5d2e)
-	dw SafariZoneRestHouse2Text1, SafariZoneRestHouse2Text2, SafariZoneRestHouse2Text3
+SafariZoneRestHouse2TextPointers: ; 45d2e (11:5d2e)
+	dw SafariZoneRestHouse2Text1
+	dw SafariZoneRestHouse2Text2
+	dw SafariZoneRestHouse2Text3
 
 SafariZoneRestHouse2Text1: ; 45d34 (11:5d34)
 	TX_FAR _SafariZoneRestHouse2Text1
@@ -73001,7 +74157,7 @@ SafariZoneRestHouse2Object: ; 0x45d43 (size=38)
 SafariZoneRestHouse3_h: ; 0x45d69 to 0x45d75 (12 bytes) (bank=11) (id=224)
 	db $0c ; tileset
 	db SAFARI_ZONE_REST_HOUSE_3_HEIGHT, SAFARI_ZONE_REST_HOUSE_3_WIDTH ; dimensions (y, x)
-	dw $40fb, SafariZoneRestHouse3Texts, SafariZoneRestHouse3Script ; blocks, texts, scripts
+	dw $40fb, SafariZoneRestHouse3TextPointers, SafariZoneRestHouse3Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SafariZoneRestHouse3Object ; objects
@@ -73010,8 +74166,10 @@ SafariZoneRestHouse3Script: ; 45d75 (11:5d75)
 	call EnableAutoTextBoxDrawing
 	ret
 
-SafariZoneRestHouse3Texts: ; 45d79 (11:5d79)
-	dw SafariZoneRestHouse3Text1, SafariZoneRestHouse3Text2, SafariZoneRestHouse3Text3
+SafariZoneRestHouse3TextPointers: ; 45d79 (11:5d79)
+	dw SafariZoneRestHouse3Text1
+	dw SafariZoneRestHouse3Text2
+	dw SafariZoneRestHouse3Text3
 
 SafariZoneRestHouse3Text1: ; 45d7f (11:5d7f)
 	TX_FAR _SafariZoneRestHouse3Text1
@@ -73046,7 +74204,7 @@ SafariZoneRestHouse3Object: ; 0x45d8e (size=38)
 SafariZoneRestHouse4_h: ; 0x45db4 to 0x45dc0 (12 bytes) (bank=11) (id=225)
 	db $0c ; tileset
 	db SAFARI_ZONE_REST_HOUSE_4_HEIGHT, SAFARI_ZONE_REST_HOUSE_4_WIDTH ; dimensions (y, x)
-	dw $40fb, SafariZoneRestHouse4Texts, SafariZoneRestHouse4Script ; blocks, texts, scripts
+	dw $40fb, SafariZoneRestHouse4TextPointers, SafariZoneRestHouse4Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SafariZoneRestHouse4Object ; objects
@@ -73055,8 +74213,10 @@ SafariZoneRestHouse4Script: ; 45dc0 (11:5dc0)
 	call EnableAutoTextBoxDrawing
 	ret
 
-SafariZoneRestHouse4Texts: ; 45dc4 (11:5dc4)
-	dw SafariZoneRestHouse4Text1, SafariZoneRestHouse4Text2, SafariZoneRestHouse4Text3
+SafariZoneRestHouse4TextPointers: ; 45dc4 (11:5dc4)
+	dw SafariZoneRestHouse4Text1
+	dw SafariZoneRestHouse4Text2
+	dw SafariZoneRestHouse4Text3
 
 SafariZoneRestHouse4Text1: ; 45dca (11:5dca)
 	TX_FAR _SafariZoneRestHouse4Text1
@@ -73091,7 +74251,7 @@ SafariZoneRestHouse4Object: ; 0x45dd9 (size=38)
 UnknownDungeon2_h: ; 0x45dff to 0x45e0b (12 bytes) (bank=11) (id=226)
 	db $11 ; tileset
 	db UNKNOWN_DUNGEON_2_HEIGHT, UNKNOWN_DUNGEON_2_WIDTH ; dimensions (y, x)
-	dw UnknownDungeon2Blocks, UnknownDungeon2Texts, UnknownDungeon2Script ; blocks, texts, scripts
+	dw UnknownDungeon2Blocks, UnknownDungeon2TextPointers, UnknownDungeon2Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw UnknownDungeon2Object ; objects
@@ -73099,8 +74259,10 @@ UnknownDungeon2_h: ; 0x45dff to 0x45e0b (12 bytes) (bank=11) (id=226)
 UnknownDungeon2Script: ; 45e0b (11:5e0b)
 	jp EnableAutoTextBoxDrawing
 
-UnknownDungeon2Texts: ; 45e0e (11:5e0e)
-	dw Predef5CText, Predef5CText, Predef5CText
+UnknownDungeon2TextPointers: ; 45e0e (11:5e0e)
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
 
 UnknownDungeon2Object: ; 0x45e14 (size=73)
 	db $7d ; border tile
@@ -73134,7 +74296,7 @@ UnknownDungeon2Blocks: ; 45e5d (11:5e5d)
 UnknownDungeon3_h: ; 0x45ee4 to 0x45ef0 (12 bytes) (bank=11) (id=227)
 	db $11 ; tileset
 	db UNKNOWN_DUNGEON_3_HEIGHT, UNKNOWN_DUNGEON_3_WIDTH ; dimensions (y, x)
-	dw UnknownDungeon3Blocks, UnknownDungeon3Texts, UnknownDungeon3Script ; blocks, texts, scripts
+	dw UnknownDungeon3Blocks, UnknownDungeon3TextPointers, UnknownDungeon3Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw UnknownDungeon3Object ; objects
@@ -73142,17 +74304,21 @@ UnknownDungeon3_h: ; 0x45ee4 to 0x45ef0 (12 bytes) (bank=11) (id=227)
 UnknownDungeon3Script: ; 45ef0 (11:5ef0)
 	call EnableAutoTextBoxDrawing
 	ld hl, UnknownDungeon3TrainerHeaders
-	ld de, UnknownDungeon3Script_Unknown45f03
+	ld de, UnknownDungeon3ScriptPointers
 	ld a, [W_UNKNOWNDUNGEON3CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_UNKNOWNDUNGEON3CURSCRIPT], a
 	ret
 
-UnknownDungeon3Script_Unknown45f03: ; 45f03 (11:5f03)
-INCBIN "baserom.gbc",$45f03,$45f09 - $45f03
+UnknownDungeon3ScriptPointers: ; 45f03 (11:5f03)
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw EndTrainerBattle
 
-UnknownDungeon3Texts: ; 45f09 (11:5f09)
-	dw UnknownDungeon3Text1, Predef5CText, Predef5CText
+UnknownDungeon3TextPointers: ; 45f09 (11:5f09)
+	dw UnknownDungeon3Text1
+	dw Predef5CText
+	dw Predef5CText
 
 UnknownDungeon3TrainerHeaders: ; 45f0f (11:5f0f)
 UnknownDungeon3TrainerHeader0: ; 45f0f (11:5f0f)
@@ -73164,7 +74330,7 @@ UnknownDungeon3TrainerHeader0: ; 45f0f (11:5f0f)
 	dw UnknownDungeon3MewtwoText ; 0x5f26 TextEndBattle
 	dw UnknownDungeon3MewtwoText ; 0x5f26 TextEndBattle
 
-db $ff
+	db $ff
 
 UnknownDungeon3Text1: ; 45f1c (11:5f1c)
 	db $08 ; asm
@@ -73202,7 +74368,7 @@ UnknownDungeon3Blocks: ; 45f58 (11:5f58)
 RockTunnel2_h: ; 0x45fdf to 0x45feb (12 bytes) (bank=11) (id=232)
 	db $11 ; tileset
 	db ROCK_TUNNEL_2_HEIGHT, ROCK_TUNNEL_2_WIDTH ; dimensions (y, x)
-	dw RockTunnel2Blocks, RockTunnel2Texts, RockTunnel2Script ; blocks, texts, scripts
+	dw RockTunnel2Blocks, RockTunnel2TextPointers, RockTunnel2Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw RockTunnel2Object ; objects
@@ -73210,17 +74376,26 @@ RockTunnel2_h: ; 0x45fdf to 0x45feb (12 bytes) (bank=11) (id=232)
 RockTunnel2Script: ; 45feb (11:5feb)
 	call EnableAutoTextBoxDrawing
 	ld hl, RockTunnel2TrainerHeaders
-	ld de, RockTunnel2Script_Unknown45ffe
+	ld de, RockTunnel2ScriptPointers
 	ld a, [W_ROCKTUNNEL2CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_ROCKTUNNEL2CURSCRIPT], a
 	ret
 
-RockTunnel2Script_Unknown45ffe: ; 45ffe (11:5ffe)
-INCBIN "baserom.gbc",$45ffe,$46004 - $45ffe
+RockTunnel2ScriptPointers: ; 45ffe (11:5ffe)
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw EndTrainerBattle
 
-RockTunnel2Texts: ; 46004 (11:6004)
-	dw RockTunnel2Text1, RockTunnel2Text2, RockTunnel2Text3, RockTunnel2Text4, RockTunnel2Text5, RockTunnel2Text6, RockTunnel2Text7, RockTunnel2Text8
+RockTunnel2TextPointers: ; 46004 (11:6004)
+	dw RockTunnel2Text1
+	dw RockTunnel2Text2
+	dw RockTunnel2Text3
+	dw RockTunnel2Text4
+	dw RockTunnel2Text5
+	dw RockTunnel2Text6
+	dw RockTunnel2Text7
+	dw RockTunnel2Text8
 
 RockTunnel2TrainerHeaders: ; 46014 (11:6014)
 RockTunnel2TrainerHeader0: ; 46014 (11:6014)
@@ -73295,7 +74470,7 @@ RockTunnel2TrainerHeader8: ; 46068 (11:6068)
 	dw RockTunnel2EndBattleText9 ; 0x6133 TextEndBattle
 	dw RockTunnel2EndBattleText9 ; 0x6133 TextEndBattle
 
-db $ff
+	db $ff
 
 RockTunnel2Text1: ; 46075 (11:6075)
 	db $08 ; asm
@@ -73474,7 +74649,7 @@ RockTunnel2Blocks: ; 461a1 (11:61a1)
 SeafoamIslands2_h: ; 0x46309 to 0x46315 (12 bytes) (bank=11) (id=159)
 	db $11 ; tileset
 	db SEAFOAM_ISLANDS_2_HEIGHT, SEAFOAM_ISLANDS_2_WIDTH ; dimensions (y, x)
-	dw SeafoamIslands2Blocks, SeafoamIslands2Texts, SeafoamIslands2Script ; blocks, texts, scripts
+	dw SeafoamIslands2Blocks, SeafoamIslands2TextPointers, SeafoamIslands2Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SeafoamIslands2Object ; objects
@@ -73524,8 +74699,9 @@ Seafoam2HolesCoords: ; 4636d (11:636d)
 	db $06,$17
 	db $ff
 
-SeafoamIslands2Texts: ; 46372 (11:6372)
-	dw BoulderText, BoulderText
+SeafoamIslands2TextPointers: ; 46372 (11:6372)
+	dw BoulderText
+	dw BoulderText
 
 SeafoamIslands2Object: ; 0x46376 (size=72)
 	db $7d ; border tile
@@ -73560,7 +74736,7 @@ SeafoamIslands2Blocks: ; 463be (11:63be)
 SeafoamIslands3_h: ; 0x46445 to 0x46451 (12 bytes) (bank=11) (id=160)
 	db $11 ; tileset
 	db SEAFOAM_ISLANDS_3_HEIGHT, SEAFOAM_ISLANDS_3_WIDTH ; dimensions (y, x)
-	dw SeafoamIslands3Blocks, SeafoamIslands3Texts, SeafoamIslands3Script ; blocks, texts, scripts
+	dw SeafoamIslands3Blocks, SeafoamIslands3TextPointers, SeafoamIslands3Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SeafoamIslands3Object ; objects
@@ -73610,8 +74786,9 @@ Seafoam3HolesCoords: ; 464a9 (11:64a9)
 	db $06,$16
 	db $ff
 
-SeafoamIslands3Texts: ; 464ae (11:64ae)
-	dw BoulderText, BoulderText
+SeafoamIslands3TextPointers: ; 464ae (11:64ae)
+	dw BoulderText
+	dw BoulderText
 
 SeafoamIslands3Object: ; 0x464b2 (size=72)
 	db $7d ; border tile
@@ -73646,7 +74823,7 @@ SeafoamIslands3Blocks: ; 464fa (11:64fa)
 SeafoamIslands4_h: ; 0x46581 to 0x4658d (12 bytes) (bank=11) (id=161)
 	db $11 ; tileset
 	db SEAFOAM_ISLANDS_4_HEIGHT, SEAFOAM_ISLANDS_4_WIDTH ; dimensions (y, x)
-	dw SeafoamIslands4Blocks, SeafoamIslands4Texts, SeafoamIslands4Script ; blocks, texts, scripts
+	dw SeafoamIslands4Blocks, SeafoamIslands4TextPointers, SeafoamIslands4Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SeafoamIslands4Object ; objects
@@ -73695,7 +74872,7 @@ SeafoamIslands4Script: ; 4658d (11:658d)
 	bit 4, a
 	ret nz
 .asm_465ed
-	ld hl, SeafoamIslands4Scripts
+	ld hl, SeafoamIslands4ScriptPointers
 	ld a, [W_SEAFOAMISLANDS4CURSCRIPT]
 	jp CallFunctionInTable
 
@@ -73704,8 +74881,11 @@ Seafoam4HolesCoords: ; 465f6 (11:65f6)
 	db $10,$06
 	db $ff
 
-SeafoamIslands4Scripts: ; 465fb (11:65fb)
-	dw SeafoamIslands4Script0, SeafoamIslands4Script1, SeafoamIslands4Script2, SeafoamIslands4Script3
+SeafoamIslands4ScriptPointers: ; 465fb (11:65fb)
+	dw SeafoamIslands4Script0
+	dw SeafoamIslands4Script1
+	dw SeafoamIslands4Script2
+	dw SeafoamIslands4Script3
 
 SeafoamIslands4Script0: ; 46603 (11:6603)
 	ld a, [$d880]
@@ -73755,8 +74935,13 @@ SeafoamIslands4Script3: ; 4668f (11:668f)
 	ld [W_SEAFOAMISLANDS4CURSCRIPT], a
 	ret
 
-SeafoamIslands4Texts: ; 4669a (11:669a)
-	dw BoulderText, BoulderText, BoulderText, BoulderText, BoulderText, BoulderText
+SeafoamIslands4TextPointers: ; 4669a (11:669a)
+	dw BoulderText
+	dw BoulderText
+	dw BoulderText
+	dw BoulderText
+	dw BoulderText
+	dw BoulderText
 
 SeafoamIslands4Object: ; 0x466a6 (size=96)
 	db $7d ; border tile
@@ -73795,7 +74980,7 @@ SeafoamIslands4Blocks: ; 46706 (11:6706)
 SeafoamIslands5_h: ; 0x4678d to 0x46799 (12 bytes) (bank=11) (id=162)
 	db $11 ; tileset
 	db SEAFOAM_ISLANDS_5_HEIGHT, SEAFOAM_ISLANDS_5_WIDTH ; dimensions (y, x)
-	dw SeafoamIslands5Blocks, SeafoamIslands5Texts, SeafoamIslands5Script ; blocks, texts, scripts
+	dw SeafoamIslands5Blocks, SeafoamIslands5TextPointers, SeafoamIslands5Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SeafoamIslands5Object ; objects
@@ -73803,31 +74988,46 @@ SeafoamIslands5_h: ; 0x4678d to 0x46799 (12 bytes) (bank=11) (id=162)
 SeafoamIslands5Script: ; 46799 (11:6799)
 	call EnableAutoTextBoxDrawing
 	ld a, [W_SEAFOAMISLANDS5CURSCRIPT]
-	ld hl, SeafoamIslands5Scripts
+	ld hl, SeafoamIslands5ScriptPointers
 	jp CallFunctionInTable
 
-INCBIN "baserom.gbc",$467a5,$467ad - $467a5
+SeafoamIslands5Script_467a5: ; 467a5 (11:67a5)
+	xor a
+	ld [W_SEAFOAMISLANDS5CURSCRIPT], a
+	ld [wJoypadForbiddenButtonsMask], a
+	ret
 
-SeafoamIslands5Scripts: ; 467ad (11:67ad)
-	dw SeafoamIslands5Script0, SeafoamIslands5Script1
+SeafoamIslands5ScriptPointers: ; 467ad (11:67ad)
+	dw SeafoamIslands5Script0
+	dw SeafoamIslands5Script1
+	dw SeafoamIslands5Script2
+	dw SeafoamIslands5Script3
+	dw SeafoamIslands5Script4
 
-INCBIN "baserom.gbc",$467b1,$467c7 - $467b1
+SeafoamIslands5Script4: ; 467b7 (11:67b7)
+	ld a, [W_ISINBATTLE]
+	cp $ff
+	jr z, SeafoamIslands5Script_467a5
+	call EndTrainerBattle
+	ld a, $0
+	ld [W_SEAFOAMISLANDS5CURSCRIPT], a
+	ret
 
 SeafoamIslands5Script0: ; 467c7 (11:67c7)
 	ld a, [$d880]
 	and $3
 	cp $3
 	ret z
-	ld hl, Unknown_467fe ; $67fe
+	ld hl, CoordsData_467fe
 	call ArePlayerCoordsInArray
 	ret nc
 	ld a, [$cd3d]
 	cp $3
-	jr nc, .asm_467e6 ; 0x467db $9
+	jr nc, .asm_467e6
 	ld a, $40
 	ld [$ccd4], a
 	ld a, $2
-	jr .asm_467e8 ; 0x467e4 $2
+	jr .asm_467e8
 .asm_467e6
 	ld a, $1
 .asm_467e8
@@ -73841,8 +75041,12 @@ SeafoamIslands5Script0: ; 467c7 (11:67c7)
 	ld [W_SEAFOAMISLANDS5CURSCRIPT], a
 	ret
 
-Unknown_467fe: ; 467fe (11:67fe)
-INCBIN "baserom.gbc",$467fe,$46807 - $467fe
+CoordsData_467fe: ; 467fe (11:67fe)
+	db $11,$14
+	db $11,$15
+	db $10,$14
+	db $10,$15
+	db $FF
 
 SeafoamIslands5Script1: ; 46807 (11:6807)
 	ld a, [$cd38]
@@ -73854,10 +75058,75 @@ SeafoamIslands5Script1: ; 46807 (11:6807)
 	ld [W_SEAFOAMISLANDS5CURSCRIPT], a
 	ret
 
-INCBIN "baserom.gbc",$46816,$4687c - $46816
+SeafoamIslands5Script2: ; 46816 (11:6816)
+	ld a, [$d881]
+	and $3
+	cp $3
+	ld a, $0
+	jr z, .asm_46849
+	ld hl, CoordsData_4684d
+	call ArePlayerCoordsInArray
+	ld a, $0
+	jr nc, .asm_46849
+	ld a, [$cd3d]
+	cp $1
+	jr nz, .asm_46837
+	ld de, RLEMovementData_46859
+	jr .asm_4683a
+.asm_46837
+	ld de, RLEMovementData_46852
+.asm_4683a
+	ld hl, $ccd3
+	call DecodeRLEList
+	dec a
+	ld [$cd38], a
+	call Func_3486
+	ld a, $3
+.asm_46849
+	ld [W_SEAFOAMISLANDS5CURSCRIPT], a
+	ret
 
-SeafoamIslands5Texts: ; 4687c (11:687c)
-	dw BoulderText, BoulderText, SeafoamIslands5Text3, SeafoamIslands5Text4, SeafoamIslands5Text5
+CoordsData_4684d: ; 4684d (11:684d)
+	db $0E,$04
+	db $0E,$05
+	db $FF
+
+RLEMovementData_46852: ; 46852 (11:6852)
+	db $40,$03
+	db $10,$02
+	db $40,$01
+	db $FF
+
+RLEMovementData_46859: ; 46859 (11:6859)
+	db $40,$03
+	db $10,$03
+	db $40,$01
+	db $FF
+
+SeafoamIslands5Script3: ; 46860 (11:6860)
+	ld a, [$cd38]
+	ld b, a
+	cp $1
+	call z, SeaFoamIslands5Script_46872
+	ld a, b
+	and a
+	ret nz
+	ld a, $0
+	ld [W_SEAFOAMISLANDS5CURSCRIPT], a
+	ret
+
+SeaFoamIslands5Script_46872: ; 46872 (11:6872)
+	xor a
+	ld [$d700], a
+	ld [$d11a], a
+	jp ForceBikeOrSurf
+
+SeafoamIslands5TextPointers: ; 4687c (11:687c)
+	dw BoulderText
+	dw BoulderText
+	dw SeafoamIslands5Text3
+	dw SeafoamIslands5Text4
+	dw SeafoamIslands5Text5
 
 SeafoamIslands5TrainerHeaders: ; 46886 (11:6886)
 SeafoamIslands5TrainerHeader0: ; 46886 (11:6886)
@@ -73869,7 +75138,7 @@ SeafoamIslands5TrainerHeader0: ; 46886 (11:6886)
 	dw SeafoamIslands5BattleText2 ; 0x68a2 TextEndBattle
 	dw SeafoamIslands5BattleText2 ; 0x68a2 TextEndBattle
 
-db $ff
+	db $ff
 
 SeafoamIslands5Text3: ; 46893 (11:6893)
 	db $08 ; asm
@@ -74656,7 +75925,7 @@ Mansion1HiddenObjects: ; 46f2b (11:6f2b)
 	db $10,$08,MOON_STONE
 	dbw BANK(HiddenItems),HiddenItems
 	db $05,$02,$04 ; XXX, y, x
-	dbw $11,$4316
+	dbw BANK(Func_44316),Func_44316
 	db $FF
 Mansion2HiddenObjects: ; 46f38 (11:6f38)
 	db $0b,$02,$04 ; XXX, y, x
@@ -74970,7 +76239,7 @@ Route7Script: ; 48152 (12:4152)
 	jp EnableAutoTextBoxDrawing
 
 ; XXX
-db $57, $41
+	db $57, $41
 
 Route7Text1: ; 48157 (12:4157)
 	TX_FAR _Route7Text1
@@ -74979,15 +76248,16 @@ Route7Text1: ; 48157 (12:4157)
 RedsHouse1F_h: ; 4815c (12:415c)
 	db $01 ; tileset
 	db $04,$04 ; dimensions
-	dw RedsHouse1FBlocks, RedsHouse1FTexts, RedsHouse1FScript
+	dw RedsHouse1FBlocks, RedsHouse1FTextPointers, RedsHouse1FScript
 	db 0 ; no connections
 	dw RedsHouse1FObject
 
 RedsHouse1FScript: ; 48168 (12:4168)
 	jp EnableAutoTextBoxDrawing
 
-RedsHouse1FTexts: ; 4816b (12:416b)
-	dw RedsHouse1FText1,RedsHouse1FText2
+RedsHouse1FTextPointers: ; 4816b (12:416b)
+	dw RedsHouse1FText1
+	dw RedsHouse1FText2
 
 RedsHouse1FText1: ; 4816f (12:416f) ; 416F Mom
 	db 8
@@ -75083,7 +76353,7 @@ RedsHouse1FBlocks: ; 48209 (12:4209)
 CeladonMart3_h: ; 0x48219 to 0x48225 (12 bytes) (bank=12) (id=124)
 	db $12 ; tileset
 	db CELADON_MART_3_HEIGHT, CELADON_MART_3_WIDTH ; dimensions (y, x)
-	dw CeladonMart3Blocks, CeladonMart3Texts, CeladonMart3Script ; blocks, texts, scripts
+	dw CeladonMart3Blocks, CeladonMart3TextPointers, CeladonMart3Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw CeladonMart3Object ; objects
@@ -75091,8 +76361,24 @@ CeladonMart3_h: ; 0x48219 to 0x48225 (12 bytes) (bank=12) (id=124)
 CeladonMart3Script: ; 48225 (12:4225)
 	jp EnableAutoTextBoxDrawing
 
-CeladonMart3Texts: ; 48228 (12:4228)
-	dw CeladonMart3Text1, CeladonMart3Text2, CeladonMart3Text3, CeladonMart3Text4, CeladonMart3Text5, CeladonMart3Text6, CeladonMart3Text7, CeladonMart3Text8, CeladonMart3Text9, CeladonMart3Text10, CeladonMart3Text11, CeladonMart3Text12, CeladonMart3Text13, CeladonMart3Text14, CeladonMart3Text15, CeladonMart3Text16, CeladonMart3Text17
+CeladonMart3TextPointers: ; 48228 (12:4228)
+	dw CeladonMart3Text1
+	dw CeladonMart3Text2
+	dw CeladonMart3Text3
+	dw CeladonMart3Text4
+	dw CeladonMart3Text5
+	dw CeladonMart3Text6
+	dw CeladonMart3Text7
+	dw CeladonMart3Text8
+	dw CeladonMart3Text9
+	dw CeladonMart3Text10
+	dw CeladonMart3Text11
+	dw CeladonMart3Text12
+	dw CeladonMart3Text13
+	dw CeladonMart3Text14
+	dw CeladonMart3Text15
+	dw CeladonMart3Text16
+	dw CeladonMart3Text17
 
 CeladonMart3Text1: ; 4824a (12:424a)
 	db $08 ; asm
@@ -75222,7 +76508,7 @@ CeladonMart3Blocks: ; 48322 (12:4322)
 CeladonMart4_h: ; 0x4834a to 0x48356 (12 bytes) (bank=12) (id=125)
 	db $12 ; tileset
 	db CELADON_MART_4_HEIGHT, CELADON_MART_4_WIDTH ; dimensions (y, x)
-	dw CeladonMart4Blocks, CeladonMart4Texts, CeladonMart4Script ; blocks, texts, scripts
+	dw CeladonMart4Blocks, CeladonMart4TextPointers, CeladonMart4Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw CeladonMart4Object ; objects
@@ -75230,8 +76516,11 @@ CeladonMart4_h: ; 0x4834a to 0x48356 (12 bytes) (bank=12) (id=125)
 CeladonMart4Script: ; 48356 (12:4356)
 	jp EnableAutoTextBoxDrawing
 
-CeladonMart4Texts: ; 48359 (12:4359)
-	dw CeladonMart4Text1, CeladonMart4Text2, CeladonMart4Text3, CeladonMart4Text4
+CeladonMart4TextPointers: ; 48359 (12:4359)
+	dw CeladonMart4Text1
+	dw CeladonMart4Text2
+	dw CeladonMart4Text3
+	dw CeladonMart4Text4
 
 CeladonMart4Text2: ; 48361 (12:4361)
 	TX_FAR _CeladonMart4Text2
@@ -75272,7 +76561,7 @@ CeladonMart4Blocks: ; 483a1 (12:43a1)
 CeladonMartRoof_h: ; 0x483c9 to 0x483d5 (12 bytes) (bank=12) (id=126)
 	db $12 ; tileset
 	db CELADON_MART_ROOF_HEIGHT, CELADON_MART_ROOF_WIDTH ; dimensions (y, x)
-	dw CeladonMartRoofBlocks, CeladonMartRoofTexts, CeladonMartRoofScript ; blocks, texts, scripts
+	dw CeladonMartRoofBlocks, CeladonMartRoofTextPointers, CeladonMartRoofScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw CeladonMartRoofObject ; objects
@@ -75467,8 +76756,13 @@ Func_48532: ; 48532 (12:4532)
 	pop hl
 	jr .asm_48538
 
-CeladonMartRoofTexts: ; 4855b (12:455b)
-	dw CeladonMartRoofText1, CeladonMartRoofText2, CeladonMartRoofText5, CeladonMartRoofText5, CeladonMartRoofText5, CeladonMartRoofText6
+CeladonMartRoofTextPointers: ; 4855b (12:455b)
+	dw CeladonMartRoofText1
+	dw CeladonMartRoofText2
+	dw CeladonMartRoofText5
+	dw CeladonMartRoofText5
+	dw CeladonMartRoofText5
+	dw CeladonMartRoofText6
 
 CeladonMartRoofText1: ; 48567 (12:4567)
 	TX_FAR _CeladonMartRoofText1
